package teslastocksdk

// ClientOptions allows for options to be passed into the Client for customization.
type ClientOptions func(*Client)

// WithUserAgent will force the usage of a specific user agent.
func WithUserAgent(userAgent string) ClientOptions {
	return func(c *Client) {
		c.userAgent = userAgent
	}
}
